Subject: Re: [PATCH v2 1/4] apply: reject input that touches outside $cwd

From: Jeff King <[email-masked]>
Date: Tue, 3 Feb 2015 16:24:50 -0500

On Tue, Feb 03, 2015 at 01:23:15PM -0800, Junio C Hamano wrote:

> Jeff King <[email-masked]> writes:
> 
> > Right, I do not think these tests will _fail_ when the filesystem does
> > not support symlinks. But nor are they actually testing anything
> > interesting. They would pass on such a system even without your patch,
> > as we would fail to apply even the symlink creation part of the patch.
> 
> I thought we write out the contents of the symbolic link as a
> regular file on such a filesystem, and as long as we do not expect
> "test -h expected-to-be-symlink-we-just-created" to succeed we would
> be fine.

But wouldn't we still fail writing "foo/bar" at that point if "foo" is a
regular file (again, we should never do this, but that is the point of
the test).

-Peff